language: php

sudo: false

git:
    depth: 10

cache:
  directories:
    - $HOME/.composer/cache

matrix:
  include:
    - php: 7.0
      env: SYMFONY_VERSION=v3
    - php: 7.1
      env: SYMFONY_VERSION=v3
    - php: 7.2
      env: SYMFONY_VERSION=v3
    - php: 7.1
      env: SYMFONY_VERSION=v4
    - php: 7.2
      env: SYMFONY_VERSION=v4
    - php: 7.3
      env: SYMFONY_VERSION=v5

before_install:
    - composer self-update

install:
    - composer require dunglas/symfony-lock:${SYMFONY_VERSION} --no-update
    - composer require "php-http/guzzle6-adapter:^1.0" --no-update
    - composer install --prefer-source

script:
    - bin/phpunit

notifications:
  email:
    - payumsupport@forma-pro.com
